/* $Id: AppTransaction.java,v 1.6 2005/08/26 04:44:44 ysahara Exp $
*
* Copyright (c)ARGO 21, Corporation. 2005.  All rights reserved.
 * 
 * This file is part of Nautica Workflow.
 * 
 *  Nautica Workflow is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Nautica Workflow; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
*/
package jp.co.argo21.nautica.workflow.sample.model;

import java.sql.Timestamp;

/**
 * 申請トランザクションを表すクラス。
 * 
 * @author  ruchida(Argo 21, Corp.)
 * @version $Revision: 1.6 $
 * @since   Nautica Workflow 0.9
 */
public class AppTransaction {
    
    /** 申請書番号 */
    private String appID;
    
    /** 申請種別コード */
    private String appKindID;

    /** 承認ブロック番号 */
    private int approveAccountID;
    
    /** ステータス */
    private String appStatus;
    
    /** ユーザID */
    private String appUserID;
    
    /** ロールID */
    private String appRoleID;
    
    /** コメント */
    private String comment;
    
    /** 対象日 */
    private Timestamp date;
    
    /** 申請種別 */
    private AppKind appkind;
    
    /**
     * 申請書番号を返す。
     * 
     * @return 申請書番号
     */
    public String getAppID() {
        return appID;
    }
    
    /**
     * 申請書番号を設定する。
     * 
     * @param appID 申請書番号
     */
    public void setAppID(String appID) {
        this.appID = appID;
    }
    
    /**
     * 申請種別コードを返す。
     * 
     * @return 申請種別コード
     */
    public String getAppKindID() {
        return appKindID;
    }
    
    /**
     * 申請種別コードを設定する。
     * 
     * @param appKindID 申請種別コード
     */
    public void setAppKindID(String appKindID) {
        this.appKindID = appKindID;
    }
    
    /**
     * 承認ブロック番号を返す。
     * 
     * @return 承認ブロック番号
     */
    public int getApproveAccountID() {
        return approveAccountID;
    }
    
    /**
     * 承認ブロック番号を設定する。
     * 
     * @param approveAccountID 承認ブロック番号
     */
    public void setApproveAccountID(int approveAccountID) {
        this.approveAccountID = approveAccountID;
    }
    
    /**
     * ステータスを返す。
     * 
     * @return ステータス
     */
    public String getAppStatus() {
        return appStatus;
    }
    
    /**
     * ステータスを設定する。
     * 
     * @param appStatus ステータス
     */
    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }
    
    /**
     * ユーザIDを返す。
     * 
     * @return ユーザID
     */
    public String getAppUserID() {
        return appUserID;
    }
    
    /**
     * ユーザIDを設定する。
     * 
     * @param appUserID ユーザID
     */
    public void setAppUserID(String appUserID) {
        this.appUserID = appUserID;
    }
    
    /**
     * ロールIDを返す。
     * 
     * @return ロールID
     */
    public String getAppRoleID() {
        return appRoleID;
    }
    
    /**
     * ロールIDを設定する。
     * 
     * @param appRoleID ロールID
     */
    public void setAppRoleID(String appRoleID) {
        this.appRoleID = appRoleID;
    }
    
    /**
     * コメントを返す。
     * 
     * @return コメント
     */
    public String getComment() {
        return comment;
    }
    
    /**
     * コメントを設定する。
     * 
     * @param comment コメント
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /**
     * 日付を返す。
     * 
     * @return 日付
     */
    public Timestamp getDate() {
        return date;
    }
    
    /**
     * 日付を設定する。
     * 
     * @param date 日付
     */
    public void setDate(Timestamp date) {
        this.date = date;
    }
        
    /**
     * 申請種別を返す。
     * 
     * @return 申請種別
     */
    public AppKind getAppkind() {
        return appkind;
    }
    
    /**
     * 申請種別を設定する。
     * 
     * @param appkind 申請種別
     */
    public void setAppkind(AppKind appkind) {
        this.appkind = appkind;
    }

}
